Subject: Re: [dispatch] [Sedate] WG Review: Serialising Extended Data About Times and Events (sedate)

From: Ujjwal Sharma <[email-masked]>
Date: Mon, 7 Jun 2021 20:47:50 +0530

Hi Ned!

On 07/06/2021 18.49, [email-masked] wrote:
> You then may want to get some preliminary review of these documents, to make
> sure they track with your intended goals. Or not - it may be that the people
> working on these specifications have a clear shared understanding of what's
> needed.
> 
> Once this is done a new charter needs to be submitted that describes the work to
> be done, with these two new drafts as a starting point. Given the wide use of
> RFC 3339, it needs to be very specific about what is or isn't in scope for the
> revision of that specification.

Pardon my relative inexperience with IETF, but I suppose by RFC 3339bis
you mean "a document detailing the updates to RFC 3339 but not the
extension format". This document already exists at
https://github.com/ryzokuken/draft-ryzokuken-datetime-updated (source),
https://ryzokuken.dev/draft-ryzokuken-datetime-updated/documents/rfc-3339.html
(rendered) and
https://datatracker.ietf.org/doc/draft-ryzokuken-datetime-updated/. The
(relatively) smaller diff can be found at
https://github.com/ryzokuken/draft-ryzokuken-datetime-updated/compare/original...main
(look in the sources folder).

The draft that you reviewed is just a version of this RFC 3339bis that
also includes the extension format. As mentioned before, this was done
because there was not enough clarity around how we could best get
consensus around the format. If you prefer that the extension format
refer to (and not extend) the RFC 3339bis, then that would work just
fine and I suppose we could discuss that in great detail within the WG
(personally, I'd be happy either way).

> That said, some of the subsequent comments about ECMA International TC39 and ISO
> TC154, as well as statements like "Temporal proposal having reached stage 3" and
> "delegates are already working on implementing it in various engines" seem to me
> to be even more of a cause for concern. If this work really is as advanced as
> these statements seem to imply, and is in any way constraining on what we're
> doing here, then the WG needs access to these specifications.
> 
> In case it isn't clear, the situation I want to avoid is where someone in the WG
> comes up with some proposal, only to be told, "Sorry, that's not the TC39 way,
> and no, I don't have anything to show you what that way actually is."

You are already aware of the situation around ISO 8601, but all the ECMA
TC39 specs and proposals are published freely on the internet.
Everything relevant to this work is contained in the "Temporal" proposal
which is published at https://tc39.es/proposal-temporal/.

Hope this clarifies everything, feel free to ask for further clarification,
Ujjwal

-- 
Ujjwal "Ryzokuken" Sharma (he/him)

Compilers Hacker, Node.js Core Collaborator and Speaker